// TorusDlg.h : header file
//
//{{AFX_INCLUDES()
#include "graph3d.h"
//}}AFX_INCLUDES

#if !defined(AFX_TORUSDLG_H__BE460A4D_CB52_45B0_9CE4_06A553611D19__INCLUDED_)
#define AFX_TORUSDLG_H__BE460A4D_CB52_45B0_9CE4_06A553611D19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTorusDlg dialog

class CTorusDlg : public CDialog
{
// Construction
public:
	void PlotTorus();
	CTorusDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTorusDlg)
	enum { IDD = IDD_TORUS_DIALOG };
	CComboBox	m_cmbTrackMode;
	BOOL	m_bProjection;
	CGraph3D	m_Graph3D;
	int		m_nDefformation;
	int		m_nAmbient;
	int		m_nAmbMat;
	int		m_nDiffMat;
	int		m_nDiffuse;
	int		m_nEmission;
	int		m_nShine;
	int		m_nSpecMat;
	int		m_nSpecular;
	int		m_nPosX;
	int		m_nPosY;
	int		m_nPosZ;
	CString	m_strAmbient;
	CString	m_strAmbMat;
	CString	m_strDiffMat;
	CString	m_strDiffuse;
	CString	m_strEmission;
	CString	m_strShine;
	CString	m_strSpecMat;
	CString	m_strSpecular;
	CString	m_strPosX;
	CString	m_strPosY;
	CString	m_strPosZ;
	BOOL	m_bFill;
	BOOL	m_bFlat;
	BOOL	m_bLights;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTorusDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTorusDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheckProjection();
	afx_msg void OnCloseupComboMode();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnFillSurface();
	afx_msg void OnFlatSurface();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TORUSDLG_H__BE460A4D_CB52_45B0_9CE4_06A553611D19__INCLUDED_)
